#!/bin/sh

# Suppression de la legende des figure PS sorties de Cast3M
# puis transformation en EPS

# Si aucun argument -> On modifie tous les fichier .ps
if [ $# -eq 0 ]
then
  echo "  Transformation de tous les fichiers .ps !"
  for fic in *.ps
  do
    sed '104d' $fic > temp1.ps
    sed '104d' temp1.ps > temp2.ps
    ps2eps -q -R + temp2.ps
    rename temp2 $(basename $fic .ps) temp2.eps
    \rm temp1.ps temp2.ps
  done
fi




# Si 1 argument -> On ne modifie que ce fichier 
if [ $# -eq 1 ]
then
  echo "  Transformation du fichier .ps !"
  sed '104d' $1 > temp1.ps
  sed '104d' temp1.ps > temp2.ps
  ps2eps -q -R + temp2.ps
  rename temp2 $(basename $1 .ps) temp2.eps
  \rm temp1.ps temp2.ps
fi

